## GstVaapiDisplayX11

GstVaapiDisplayX11 — VA/X11 display abstraction

## Functions

GstVaapiDisplay * | gst_vaapi_display_x11_new ()
GstVaapiDisplay * | gst_vaapi_display_x11_new_with_display ()
Display * | gst_vaapi_display_x11_get_display ()
int | gst_vaapi_display_x11_get_screen ()

## Types and Values

| GstVaapiDisplayX11

## Object Hierarchy

## Description

## Functions

### gst_vaapi_display_x11_new ()

    GstVaapiDisplay *
    gst_vaapi_display_x11_new (const gchar *display_name);

Opens an X11 Display using `display_name` and returns a newly allocated GstVaapiDisplay object. The X11 display will be cloed when the reference count of the object reaches zero.

#### Parameters

display_name | the X11 display name |

#### Returns

a newly allocated GstVaapiDisplay object

### gst_vaapi_display_x11_new_with_display ()

    GstVaapiDisplay *
    gst_vaapi_display_x11_new_with_display
                                   (Display *x11_display);

Creates a GstVaapiDisplay based on the X11 `x11_display` display. The caller still owns the display and must call `XCloseDisplay()` when all GstVaapiDisplay references are released. Doing so too early can yield undefined behaviour.

#### Parameters

x11_display | an X11 Display |

#### Returns

a newly allocated GstVaapiDisplay object

### gst_vaapi_display_x11_get_display ()

    Display *
    gst_vaapi_display_x11_get_display (GstVaapiDisplayX11 *display);

Returns the underlying X11 Display that was created by `gst_vaapi_display_x11_new()` or that was bound from `gst_vaapi_display_x11_new_with_display()`.

#### Parameters

display | a GstVaapiDisplayX11 |

#### Returns

the X11 Display attached to `display`

### gst_vaapi_display_x11_get_screen ()

    int
    gst_vaapi_display_x11_get_screen (GstVaapiDisplayX11 *display);

Returns the default X11 screen that was created by `gst_vaapi_display_x11_new()` or that was bound from `gst_vaapi_display_x11_new_with_display()`.

#### Parameters

display | a GstVaapiDisplayX11 |

#### Returns

the X11 Display attached to `display`

## Types and Values

### GstVaapiDisplayX11

    typedef struct _GstVaapiDisplayX11 GstVaapiDisplayX11;

VA/X11 display wrapper.